Index: build/linux/libgcrypt-config-wrapper |
diff --git a/build/linux/libgcrypt-config-wrapper b/build/linux/libgcrypt-config-wrapper |
new file mode 100755 |
index 0000000000000000000000000000000000000000..48a2a8e59fb2fb3c5c84c24b6265d2c12793776b |
--- /dev/null |
+++ b/build/linux/libgcrypt-config-wrapper |
@@ -0,0 +1,17 @@ |
+#!/bin/bash |
+ |
+# This program wraps around libgcrypt-config to generate the correct include and |
+# library paths when cross-compiling using a sysroot. |
+ |
+sysroot="$1" |
+shift |
+ |
+if [ -z "$sysroot" ] |
+then |
+ echo "usage: $0 /path/to/sysroot [libgcrypt-config-arguments]" >&2 |
+ exit 1 |
+fi |
+ |
+config_path=$sysroot/usr/bin/libgcrypt-config |
+set -e |
+echo `$config_path "$@" | sed -e 's|/|'$sysroot'/|'` |